<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RProcessNodeService StructType
 * @subpackage Structs
 */
class RProcessNodeService extends AbstractStructBase
{
    /**
     * The processNodeName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $processNodeName;
    /**
     * The service
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $service;
    /**
     * The traceLevel
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $traceLevel;
    /**
     * The userCategories
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $userCategories;
    /**
     * The enable
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $enable;
    /**
     * The numFiles
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $numFiles;
    /**
     * The maxFileSize
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $maxFileSize;
    /**
     * The isActive
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $isActive;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RProcessNodeService
     * @uses RProcessNodeService::setProcessNodeName()
     * @uses RProcessNodeService::setService()
     * @uses RProcessNodeService::setTraceLevel()
     * @uses RProcessNodeService::setUserCategories()
     * @uses RProcessNodeService::setEnable()
     * @uses RProcessNodeService::setNumFiles()
     * @uses RProcessNodeService::setMaxFileSize()
     * @uses RProcessNodeService::setIsActive()
     * @uses RProcessNodeService::setUuid()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $processNodeName
     * @param string $service
     * @param string $traceLevel
     * @param string $userCategories
     * @param string $enable
     * @param string $numFiles
     * @param string $maxFileSize
     * @param string $isActive
     * @param string $uuid
     */
    public function __construct(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $processNodeName = null, $service = null, $traceLevel = null, $userCategories = null, $enable = null, $numFiles = null, $maxFileSize = null, $isActive = null, $uuid = null)
    {
        $this
            ->setProcessNodeName($processNodeName)
            ->setService($service)
            ->setTraceLevel($traceLevel)
            ->setUserCategories($userCategories)
            ->setEnable($enable)
            ->setNumFiles($numFiles)
            ->setMaxFileSize($maxFileSize)
            ->setIsActive($isActive)
            ->setUuid($uuid);
    }
    /**
     * Get processNodeName value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getProcessNodeName()
    {
        return $this->processNodeName;
    }
    /**
     * Set processNodeName value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $processNodeName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RProcessNodeService
     */
    public function setProcessNodeName(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $processNodeName = null)
    {
        $this->processNodeName = $processNodeName;
        return $this;
    }
    /**
     * Get service value
     * @return string|null
     */
    public function getService()
    {
        return $this->service;
    }
    /**
     * Set service value
     * @param string $service
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RProcessNodeService
     */
    public function setService($service = null)
    {
        $this->service = $service;
        return $this;
    }
    /**
     * Get traceLevel value
     * @return string|null
     */
    public function getTraceLevel()
    {
        return $this->traceLevel;
    }
    /**
     * Set traceLevel value
     * @param string $traceLevel
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RProcessNodeService
     */
    public function setTraceLevel($traceLevel = null)
    {
        $this->traceLevel = $traceLevel;
        return $this;
    }
    /**
     * Get userCategories value
     * @return string|null
     */
    public function getUserCategories()
    {
        return $this->userCategories;
    }
    /**
     * Set userCategories value
     * @param string $userCategories
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RProcessNodeService
     */
    public function setUserCategories($userCategories = null)
    {
        $this->userCategories = $userCategories;
        return $this;
    }
    /**
     * Get enable value
     * @return string|null
     */
    public function getEnable()
    {
        return $this->enable;
    }
    /**
     * Set enable value
     * @param string $enable
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RProcessNodeService
     */
    public function setEnable($enable = null)
    {
        $this->enable = $enable;
        return $this;
    }
    /**
     * Get numFiles value
     * @return string|null
     */
    public function getNumFiles()
    {
        return $this->numFiles;
    }
    /**
     * Set numFiles value
     * @param string $numFiles
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RProcessNodeService
     */
    public function setNumFiles($numFiles = null)
    {
        $this->numFiles = $numFiles;
        return $this;
    }
    /**
     * Get maxFileSize value
     * @return string|null
     */
    public function getMaxFileSize()
    {
        return $this->maxFileSize;
    }
    /**
     * Set maxFileSize value
     * @param string $maxFileSize
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RProcessNodeService
     */
    public function setMaxFileSize($maxFileSize = null)
    {
        $this->maxFileSize = $maxFileSize;
        return $this;
    }
    /**
     * Get isActive value
     * @return string|null
     */
    public function getIsActive()
    {
        return $this->isActive;
    }
    /**
     * Set isActive value
     * @param string $isActive
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RProcessNodeService
     */
    public function setIsActive($isActive = null)
    {
        $this->isActive = $isActive;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RProcessNodeService
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
